# Check spelling API

[Check API](/api-reference/check-api.md) combines all available check types and is a replacement for older Check spelling API and [Grammar check API](/api-reference/legacy-api-commands/grammar-check-api.md).

**Command name:** check\_spelling

Here is a list of all possible parameters and values that can be used with the **check\_spelling** command.

| #  | Parameter                    | Possible Values                                                                                                                                                                     | Default Value | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| -- | ---------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 1  | format                       | <ul><li>json</li><li>xml</li></ul>                                                                                                                                                  | json          | The response format for output data.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| 2  | callback                     | <ul><li>callback function name</li></ul>                                                                                                                                            | <p><br></p>   | A callback function name that will be used to manipulate with the JSON data received from the server. Such approach enables sharing of data bypassing same-origin policy. It can be used only along with “format=json”.                                                                                                                                                                                                                                                                                                                               |
| 3  | out\_type                    | <ul><li>positions – Return positions and length of misspelled words in a given text and their suggestions.</li><li>words – Return misspelled words and their suggestions.</li></ul> | words         | A type of data output specifying the way to return misspelled words positions in the provided text or exact words.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| 4  | ignore\_all\_caps            | <ul><li>0 – Do not ignore all words written in capital letters (e.g. UPPERCASE).</li><li>1 – Ignore all words written in capital letters.</li></ul>                                 | 0             | Ignore capitalized words.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| 5  | ignore\_words\_with\_numbers | <ul><li>0 – Do not ignore words that contain numbers (e.g. Number1).</li><li>1 – Ignore words that contain numbers.</li></ul>                                                       | 0             | Ignore words containing numbers.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| 6  | ignore\_mixed\_case          | <ul><li>0 – Do not ignore words with mixed case letters (e.g. MixedCase).</li><li>1 – Ignore words with mixed case letters.</li></ul>                                               | 0             | Ignore words written with mixed case letters.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| 7  | ignore\_domain\_names        | <ul><li>0 – Do not ignore web addresses that start with either “www”, “http:” or “https:” and end with a domain name.</li><li>1 – Ignore web addresses and domain names.</li></ul>  | 0             | Ignore domain names, web addresses.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| 8  | text                         | <ul><li>plain text</li></ul>                                                                                                                                                        | <p><br></p>   | <p>A piece of text which will be sent for check. The text has to be in the UTF-8 encoding. Any found tags in the text will be interpreted as a plan text as well.</p><p>Avoid using # and & symbols in the text.</p>                                                                                                                                                                                                                                                                                                                                  |
| 9  | slang                        | <ul><li><a href="/pages/GUZ6cksYHij4R1JW5Nhz">Supported languages</a> (e.g. en\_US)</li></ul>                                                                                       | en\_US        | A short code of a language which will be used for spell checking.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| 10 | user\_dictionary             | <ul><li>user dictionary name (e.g. testdict)</li></ul>                                                                                                                              | <p><br></p>   | A user dictionary name which will be used during spell checking.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| 11 | user\_wordlist               | <ul><li>additional wordlist</li></ul>                                                                                                                                               | <p><br></p>   | The list of additional comma-separated words which will be used for spell checking.                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| 12 | custom\_dictionary           | <ul><li>custom dictionary IDs (e.g. 100694)</li></ul>                                                                                                                               | <p><br></p>   | <p>Global custom dictionary ID(s) which can be used during spell checking.</p><p>Each new Dictionary on the creation obtains its unique Dictionary ID. Depending on the type of the version of product you are using, refer to <a href="https://docs.webspellchecker.net/display/WebSpellCheckerCloud/Configuring+Cloud+Custom+Dictionary"><strong>Cloud</strong></a> or <a href="https://docs.webspellchecker.net/display/WebSpellCheckerServer55x/Configuring+Server+Global+Custom+Dictionary"><strong>Server</strong></a> guides respectively.</p> |
| 13 | version                      | 1.0                                                                                                                                                                                 | 1.0           | The version of Web API.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| 14 | customerid                   | <ul><li>your-service-id value</li></ul>                                                                                                                                             | <p><br></p>   | <p>A special service ID value (activation key) that has to be passed to a request query. It's obtained upon subscription to the Cloud services (paid or trial).</p><p>Applicable only for the Cloud version.</p>                                                                                                                                                                                                                                                                                                                                      |

#### Example 1: \[GET] Check spelling <a href="#checkspellingapi-example1-get-checkspelling" id="checkspellingapi-example1-get-checkspelling"></a>

Request URL (GET):

```javascript
http(s)://endpoint/?cmd=check_spelling&format=json&text=This sampl text demonstrates the work of the WebSpellChecker Web API service.&out_type=words&slang=en_US
```

**Parameters:**

* Command: *check\_spelling*
* Format: *json*
* Text: *This sampl text demonstrates the work of the WebSpellChecker Web API service.*
* Output: *words*
* Language: *en\_US*

**Response:**

```javascript
[
    {
        "word": "sampl",
        "ud": false,
        "suggestions": [
            "sample",
            "sampled",
            "sampler",
            "samples",
            "ample",
            "amply",
            "scamp",
            "stamp"
        ]
    }
]
```

#### **Example 2: \[POST] Check spelling** <a href="#checkspellingapi-example2-post-checkspelling" id="checkspellingapi-example2-post-checkspelling"></a>

Here we use the same request and parameters as described in example above but form it as a POST request.

Request URL (GET):

```javascript
http(s)://endpoint/?
```

Body (Raw):

```javascript
cmd=check_spelling&
text=This sampl text demonstrates the work of the WebSpellChecker Web API service.&
out_type=words&
slang=en_US
```

**Response:**

```javascript
[
   {
       "word": "sampl",
       "ud": false,
       "suggestions": [
           "sample",
           "sampled",
           "sampler",
           "samples",
           "ample",
           "amply",
           "scamp",
           "stamp"
       ]
   }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wproofreader.com/api-reference/legacy-api-commands/check-spelling-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
